#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    int n,brScenarija=0;
    cin>>n;
    int x[n+1],y[n+1],z[n+1];
    for(int i=1;i<n+1;i++)
        cin>>x[i];
    for(int i=1;i<n+1;i++)
        cin>>y[i];
    for(int i=1;i<n+1;i++)
    {
        cin>>z[i];
        for(int j=1;j<n+1;j++)
        {
           if(y[z[i]]==x[j])
             brScenarija++;
        }
    }

    cout<<brScenarija;
}